using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("base_sensor_info")]
    public class Base_sensor_info
    {
        
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="sensorid" ,IsPrimaryKey = true) ]
        public string Sensorid  { get; set;  } = null!;
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="combineid" ) ]
        public string Combineid  { get; set;  } = null!;
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="name" ) ]
        public string? Name  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="sensorser" ) ]
        public decimal? Sensorser  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="sensortypeid" ) ]
        public decimal? Sensortypeid  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="deviceid" ) ]
        public string? Deviceid  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="readinterval" ) ]
        public decimal? Readinterval  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="multdata" ) ]
        public decimal? Multdata  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="timedout" ) ]
        public decimal? Timedout  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="returnimm" ) ]
        public decimal? Returnimm  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="mapid" ) ]
        public string? Mapid  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="recordtime" ) ]
        public DateTime? Recordtime  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="deleteflag" ) ]
        public int? Deleteflag  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="recordperson" ) ]
        public int? Recordperson  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="objid" ,IsIdentity = true) ]
        public int Objid  { get; set;  } 
     
        /// <summary>
        /// 备  注:是否调用适配器  1是 2否
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="CallAdapter" ) ]
        public decimal? CallAdapter  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="CallCombineID" ) ]
        public string? CallCombineID  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="mesid" ) ]
        public string? Mesid  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="DelayTime" ) ]
        public string? DelayTime  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="ReadCounts" ) ]
        public string? ReadCounts  { get; set;  } 
    

    }
    
}